/* styleの上書き */
/* NotoSansJP Regular400 */
@font-face {
  font-family: "NotoSansJP";
  src: url("https://tegalog.miscnote.com/NotoSansJP-Regular.woff2")
    format("woff2");
  font-style: normal;
  font-weight: normal;
  font-display: swap;
}

/* NotoSansJP Bold700 */
@font-face {
  font-family: "NotoSansJP";
  src: url("https://tegalog.miscnote.com/NotoSansJP-Bold.woff2") format("woff2");
  font-style: normal;
  font-weight: bold;
  font-display: swap;
}

/* てぶろぐ記事編集アイコン */
.te-edit::before {
  margin-right: 2px;
  content: "";
  display: inline-block; /* アイコンを表示するため */
  width: 16px;
  height: 16px;
  vertical-align: sub;
  -webkit-mask: url("https://tegalog.miscnote.com/edit.svg") no-repeat center;
  mask: url("https://tegalog.miscnote.com/edit.svg") no-repeat center;
  mask-size: contain;
  background-color: #c1b7a3;
}

/* てぶろぐ返信アイコン */
.te-reply::before {
  content: "";
  display: inline-block; /* アイコンを表示するため */
  width: 16px;
  height: 16px;
  vertical-align: sub;
  -webkit-mask: url("https://tegalog.miscnote.com/reply.svg") no-repeat center;
  mask: url("https://tegalog.miscnote.com/reply.svg") no-repeat center;
  mask-size: contain;
  background-color: #c1b7a3;
}

/* てぶろぐカタログアイコン */
a.categorylink::before {
  margin-right: 2px;
  content: "";
  display: inline-block;
  width: 16px;
  height: 16px;
  vertical-align: sub;
  -webkit-mask: url("https://tegalog.miscnote.com/folder.svg") no-repeat center;
  mask: url("https://tegalog.miscnote.com/folder.svg") no-repeat center;
  mask-size: contain;
  background-color: #c1b7a3;
}

/* てぶろぐRSSアイコン＆管理画面アイコンを囲むdiv */
.te-control {
  margin: 21px 0 0;

  & a {
    text-decoration: none;
  }
}

/* てぶろぐRSSアイコン */
.te-rss::before {
  content: "";
  display: inline-block;
  width: 24px;
  height: 24px;
  -webkit-mask: url("https://tegalog.miscnote.com/rss_feed.svg");
  mask: url("https://tegalog.miscnote.com/rss_feed.svg");
  background-color: #767164;
}

/* リサイズプログラム用アイコン */
.te-program::before {
  margin-left: 4px;
  content: "";
  display: inline-block;
  width: 24px;
  height: 24px;
  -webkit-mask: url("https://tegalog.miscnote.com/terminal.svg");
  mask: url("https://tegalog.miscnote.com/terminal.svg");
  background-color: #767164;
}

/* データベース同期用アイコン */
.te-sync::before {
  margin-left: 4px;
  content: "";
  display: inline-block;
  width: 24px;
  height: 24px;
  -webkit-mask: url("https://tegalog.miscnote.com/cloud_sync.svg");
  mask: url("https://tegalog.miscnote.com/cloud_sync.svg");
  background-color: #767164;
}

/* てぶろぐ日時変更アイコン */
.te-redate::before {
  margin-left: 4px;
  content: "";
  display: inline-block; /* アイコンを表示するため */
  width: 24px;
  height: 24px;
  -webkit-mask: url("https://tegalog.miscnote.com/redate.svg");
  mask: url("https://tegalog.miscnote.com/redate.svg");
  background-color: #767164;
}

/* てぶろぐ管理画面アイコン */
.te-settings::before {
  margin-left: 6px;
  content: "";
  display: inline-block;
  width: 24px;
  height: 24px;
  -webkit-mask: url("https://tegalog.miscnote.com/settings.svg");
  mask: url("https://tegalog.miscnote.com/settings.svg");
  background-color: #767164;
}

/* ------------------------------------ */

/* 自作クラス */
.onelog_datebox {
  margin: 0 0 7px 0;
  text-align: right;
}

.onelog_datebox * {
  text-decoration: none;
  color: #c1b7a3;
  font-size: 0.75rem;
}

.onelog_date {
  margin: 0 0 0 7px;
  padding: 0 14px 0 0;
}

.onelog_commentbox {
  padding: 0 14px;
  line-height: 1.4;
}

.site-credit {
  font-size: 0.75rem;
}

.onelogbox {
  border-bottom: 1px solid #767164;
}

.onelogbox .onelog_datebox .categories a.categorylink {
  margin: 0 0 0 5px;
}

ul.hashtaglist * {
  color: #b3d39b;
}

ul.hashtaglist li a,
a.taglink {
  color: #b3d39b;
}

.dateseparator {
  border-bottom: 2px solid #767164;
}

.datefunclinks * {
  text-decoration: none;
  color: #c1b7a3;
  font-size: 0.75rem;
  font-weight: normal;
}

.datefunclinks a {
  color: #c1b7a3;
}

/* ================================================================ */
/* てがろぐVer 4.5.5β以降で使える、カード型リンク用CSSの抜粋です。 */
/* お使いのスキンのCSSに追記するなどしてご活用下さい。              */
/* ================================================================ */

	/* ---------------------- */
	/* ▼カード型リンクの装飾 */
	/* ---------------------- */
	.cardlink {
    margin-top: 7px;
	}
